Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.plans.list_bandwidth(api_version="2023-06-01", page_size=20, page_number=1)
while res is not None:
# Handle items
res = res.next()package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"github.com/latitudesh/latitudesh-go-sdk/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Plans.GetBandwidth(ctx, operations.GetBandwidthPlansRequest{})
if err != nil {
log.Fatal(err)
}
if res.BandwidthPlans != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.plans.getBandwidth({});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.latitude.sh/plans/bandwidth \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/plans/bandwidth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "chile-54",
"type": "bandwidth_plan",
"attributes": {
"region": "Chile 54",
"locations": [
"ASH",
"SAO"
],
"pricing": {
"usd": {
"monthly": 5000,
"yearly": 6000
},
"brl": {
"monthly": 8000,
"yearly": null
}
}
}
}
],
"meta": {}
}Plans
List bandwidth plans
Lists all bandwidth plans.
GET
/
plans
/
bandwidth
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.plans.list_bandwidth(api_version="2023-06-01", page_size=20, page_number=1)
while res is not None:
# Handle items
res = res.next()package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"github.com/latitudesh/latitudesh-go-sdk/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.Plans.GetBandwidth(ctx, operations.GetBandwidthPlansRequest{})
if err != nil {
log.Fatal(err)
}
if res.BandwidthPlans != nil {
for {
// handle items
res, err = res.Next()
if err != nil {
// handle error
}
if res == nil {
break
}
}
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.plans.getBandwidth({});
for await (const page of result) {
console.log(page);
}
}
run();Authorizations
Headers
Query Parameters
The plan ID to filter by
Number of items to return per page
Required range:
x >= 1Page number to return (starts at 1)
Required range:
x >= 1Request aggregate stats in the response meta. Use count to get the total number of records, returned as meta.stats.total.count.
Was this page helpful?
⌘I